uniform float4 colorModulate;		// Added the color parameter
uniform sampler tex				: register(s0);

float4 main( float2 diffuse		: TEXCOORD0,
			 float4 shadowUV	: TEXCOORD1  ) : COLOR0
{
	float4 color = tex2D(tex, diffuse);
	return color * colorModulate;
}
